import React from 'react';
interface PersistedStateContextType {
    storage: Record<string, any>;
    setState: (key: string, state: any) => void;
    clearState: (key: string) => void;
}
export declare const PersistedStateContext: React.Context<PersistedStateContextType>;
declare const PersistedStateProvider: React.FC;
export default PersistedStateProvider;
